View Issue Details

IDProjectCategoryView StatusLast Update
0016967MediaMonkey 5Main Panelpublic2021-04-14 21:47
Reporterlowlander Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016967: Can't remove Collections from Pinned items
DescriptionCan't remove Collections from Pinned items, other pinned items can be removed.
TagsNo tags attached.
Fixed in build2334

Relationships

related to 0016446 closedLudek 'Pin it' is missing from grid item context menu 

Activities

Ludek

2020-10-05 09:57

developer   ~0059758

Last edited: 2020-10-05 09:58

View 2 revisions

At first, I haven't been able to realize how to pin a collection at all ?

I tried drag and drop or Send to > Pinned, but nothing works for a collection item.

Can you eleborate how to pin collection?
Anyhow I don't think that it makes much sense to have collections pineable.

lowlander

2020-10-08 19:54

developer   ~0059776

So MM does allow D&D, but that doesn't work. Perhaps this was available at some point as I currently can't Pin a Collection. This means though:

1) I still can't remove pinned Collections

2) D&D should show as disabled for Collections.

Ludek

2020-10-12 11:06

developer   ~0059828

Trying an older MM5.db from you and I don't see any collection pinned, just folder 'TempMusic' is pinned.

So please share the newest version of your MM5.DB so that I can see how the collections are pinned and fix removing of them (as I cannot get a collection to be pinned at all)

Ludek

2020-11-11 22:26

developer   ~0060142

Last edited: 2020-11-11 22:27

View 2 revisions

Fixed in 2274

+ fixed further issues with D&D to Pinned node in media tree (discussed with LowLander offline):
3) Sometimes an incorrect item was dropped/pinned (than the dragged one)
4) Added ability to drag & drop more items at once (e.g. to pin two tracks, two albums)

peke

2020-11-14 14:07

developer   ~0060209

Verified 2274

This is big improvement in Pinning, described test cases are tested, thus we maybe missed some.

@Lowlander do you have any more cases to test with according to your talke with Ludek offline?

Ludek

2021-04-12 17:08

developer   ~0062790

Last edited: 2021-04-12 17:09

View 2 revisions

This issue seems re-occuring, the collections cannot be unpined, more at: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98806&p=480280#p480280

i.e. collection is pineable and cannot be unpined

Ludek

2021-04-13 09:43

developer   ~0062806

Last edited: 2021-04-13 09:44

View 2 revisions

Fixed in 5.0.0.2334

i.e. collections can be unpinned now

peke

2021-04-14 21:47

developer   ~0062820

Verified 2334

Confirming the fix.